function Font.GetRenderedWidth(Str: String): Int64;
var
	w, h: LongInt;
	
begin	
	TTF_SizeText(Pointer_, PChar(Str), w, h);
	GetRenderedWidth := w;
end;

function Font.GetRenderedHeight(Str: String): Int64;
var
	w, h: LongInt;
	
begin	
	TTF_SizeText(Pointer_, PChar(Str), w, h);
	GetRenderedHeight := h;
end;

procedure Font.Load(Src: String; Sze: Int64);
begin
    Size := Sze;
    Source := Src;
    try
		Pointer_ := Ttf_OpenFont( PChar(Source), Size );
	except
		end;
end;

procedure Font.Delete();
begin
    Pointer_ := Nil;
end;


procedure Font.SetSize(Sze: Int64);
begin
    Size := Sze;
    Pointer_ := Ttf_OpenFont( PChar(Source), Size );
end;

procedure Font.Draw(X,Y: Int64; Txt: String; Clr: Colour);
var
	Ram: pSdl_Surface;
	SSF: Image;
	
begin
	if Pointer_ = nil then
		begin
			ReportError('RESOURCE CRASH', Severity_High, Descriptor_RCErr, 'Pointer for font system is undefined for TEXT[' + Txt + ']');
			Exit;
		end;
		
    Ram := TTF_RENDERTEXT_BLENDED(Pointer_, PChar(Txt), Clr.Sdl);
    SSF.LoadFromSurface(Ram);
    SSF.Draw(X,Y);
    SSF.Empty();
    Sdl_FreeSurface(Ram);
end;
